#!/bin/sh

# PROVIDE jftpgw
# REQUIRE: NETWORKING SERVERS
# BEFORE: DAEMON
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable pure-ftpd:
#
# jftpgw_enable="YES"
#

. /etc/rc.subr

name=jftpgw
rcvar=`set_rcvar`

command=/usr/local/sbin/jftpgw
jftpgw_config=${jftpgw_config:-"/usr/local/etc/jftpgw.conf"}
required_files=${jftpgw_config}
pidfile=/var/run/jftpgw.pid

jftpgw_enable=${jftpgw_enable:-"NO"}
command_args="-f ${jftpgw_config}"

load_rc_config $name
run_rc_command "$1"
